AutoRepException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class AutoRepException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--uk.ac.ic.doc.automed.AutoMedException
                        |
                        +--uk.ac.ic.doc.automed.reps.AutoRepException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TypeMismatchException

public class AutoRepException
extends AutoMedException

The class of exceptions generated by the uk.ac.ic.doc.automed.reps package.

Author:
  Michael Boyd (mboyd@doc.ic.ac.uk)
, Nerissa Tong (nnyt98@doc.ic.ac.uk)
See Also:
  Serialized Form

Constructor Summary
`AutoRepException(java.lang.String msg)` Creates an AutoRepException.
`AutoRepException(java.lang.String msg, java.lang.Exception cause)` Creates an AutoRepException.

Method Summary
`java.lang.Throwable` | `getCause()`
`void` | `printStackTrace()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoRepException

    public AutoRepException(java.lang.String msg)

  Creates an AutoRepException.

Parameters:
  `msg` - message for the exception.

### AutoRepException

    public AutoRepException(java.lang.String msg,
                            java.lang.Exception cause)

  Creates an AutoRepException. `cause` is the Exception which caused this AutoRepException.

Parameters:
  `msg` - message for the exception
  `cause` - the exception that caused this one

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD